Get workflow executions
- Base URL
-
https://{kibana_url}
- GET /api/workflows/workflow/{workflowId}/executions
Retrieve a paginated list of executions for a specific workflow.
Required authorization
- Privileges workflowsManagement:read and workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution
Query parameters
-
statuses· max items: 11 -
Filter by execution status.
-
Values:
pendingwaitingwaiting_for_inputwaiting_for_childrunningqueuedcompletedfailedcancelledtimed_outskipped -
finishedAfterstring -
Datemath lower bound for filtering executions by finishedAt (inclusive when parsed).
-
finishedBeforestring -
Datemath upper bound for filtering executions by finishedAt (inclusive when parsed with roundUp).
-
collapse -
Field to collapse execution results by.
-
Values:
concurrencyGroupKeystatusexecutedBytriggeredBy -
searchAfterstring · max length: 4096 -
JSON-encoded search_after sort values from a prior response for cursor pagination.
Response
200
application/json
Indicates a successful response